Check service route conflicts in a gateway group
POST /api/gateway_groups/{gateway_group_id}/services/conflict_check
POST /api/gateway_groups/{gateway_group_id}/services/conflict_checkInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthRequest Body
application/json
Response Body
application/json
application/json
curl -X POST "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/services/conflict_check" \ -H "Content-Type: application/json" \ -d '{}'Successfully completed the route conflict check. Returns duplicate and overlapping routes if any.
{
"value": {
"duplicate": [
[
{
"service_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
"service_name": "httpbin-svc",
"route_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"route_name": "httpbin-route",
"url": "/test",
"methods": [
"GET"
],
"priority": 0
}
]
],
"overlapping": [
[
{
"service_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
"service_name": "httpbin-svc",
"route_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"route_name": "httpbin-route",
"url": "/test",
"methods": [
"GET"
],
"priority": 0
}
]
]
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
POST /api/gateway_groups/{gateway_group_id}/services/conflict_check
Check service route conflicts in a gateway group
Check for duplicate or overlapping routes among services within a gateway group.
Parameters
gateway_group_id(path, string, required): Gateway group ID.
Request body
Content type: application/json
services(array, optional):services[].id(string, optional):services[].name(string, optional):services[].hosts(array, optional):services[].path_prefix(string, optional):services[].routes(array, optional):services[].routes[].id(string, optional):services[].routes[].name(string, optional):services[].routes[].paths(array, optional):services[].routes[].methods(array,null, optional): The HTTP methods the route serves. An empty or omitted list means all methods.services[].routes[].priority(integer, optional):services[].routes[].vars(array,null, optional):
Responses
200: Successfully completed the route conflict check. Returns duplicate and overlapping routes if any.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.duplicate(array, optional): An array of duplicated services and routes.value.duplicate[][].service_id(string, optional): The service ID.value.duplicate[][].service_name(string, optional): Service name.value.duplicate[][].route_id(string, optional): The object ID.value.duplicate[][].route_name(string, optional): Route name.value.duplicate[][].url(string, optional): Route URL.value.duplicate[][].methods(array, optional): The HTTP methods the route serves. An empty or omitted list means all methods.value.duplicate[][].priority(integer, optional): Priority of the route.value.overlapping(array, optional): An array of overlapping services and routes.value.overlapping[][].service_id(string, optional): The service ID.value.overlapping[][].service_name(string, optional): Service name.value.overlapping[][].route_id(string, optional): The object ID.value.overlapping[][].route_name(string, optional): Route name.value.overlapping[][].url(string, optional): Route URL.value.overlapping[][].methods(array, optional): The HTTP methods the route serves. An empty or omitted list means all methods.value.overlapping[][].priority(integer, optional): Priority of the route.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X POST '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/services/conflict_check'